Get Jobs for a Contact

Retrieves a paginated list of all jobs that the contact is associated with.

Pagination:

  • PageStartIndex: Zero-based index of the first record to return (default: 0)
  • PageSize: Number of records per page (default: 25, max: 50)
  • Both pagination parameters are optional

Behavior:

  • Returns 200 with an empty items array if the contact exists but has no jobs associated
  • Returns 400 if any path or a query string parameter (contactId, pageSize, pageStartIndex) doesn't fulfill the validations
  • Returns 404 if the contactId does not exist
  • Returns 416 if pageStartIndex or pageSize are negative, or exceeds the maximum allowed
  • Returns 500 if an internal error occurs.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The contact's unique identifier

Query Params
integer

How many items to be returned at a time.

integer
Defaults to 0

The index of the first element to return

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json